import { wm, wdata } from './windowManager';
import { easeInOutQuad } from './animations';
import { wait, toP } from './utils'
import { app, screen } from 'electron';

export default async function displayCrashScreen() {
  const bwdata = { ...wdata };
  const win = wm.create({
    w: 40,
    h: 40,
    whp: true,
    onCreate: (win: any) => {
      win.loadURL(`http://localhost:${process.nfenv.serverPort}/screens/crash/index.html`);
    },
  });
  const button = wm.create({
    w: 10,
    h: 5,
    whp: true,
    noBorder: true,
    noBackground: true,
    onCreate: (win: any) => {
      win.loadURL(`http://localhost:${process.nfenv.serverPort}/screens/crash/exit.html`);
    },
  });
  await wait(300);
  console.log('[nfcrash] Deleted all windows');
  Object.keys(bwdata).forEach(async (id) => {
    bwdata[id].win.destroy(); // Note: We dont use wm.destroy(...) so ...onDestroy wont get called and cause trouble
  });
  const { width: sw, height: sh } = screen.getPrimaryDisplay().bounds;
  wm.move({ id: button, y: 75, x: 50, p: true, fromCenter: true });
  wm.follow.start(button, win);
};